Imports Telerik.WinControls.UI
Public Class Form2
    Dim gShown As Boolean = False
    Private Sub Form2_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        gShown = True
    End Sub
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles RadButton1.Click
        RadOverlayManager.ActivateAssociatedFormOnClose = False
        RadOverlayManager.Show(Me)
        System.Threading.Thread.Sleep(3000)
        RadOverlayManager.Close()
    End Sub
    Private Sub Form2_Activated(sender As Object, e As EventArgs) Handles MyBase.Activated
        If gShown = True Then
            MsgBox("Form " & Me.Name & " Activated")
        End If
    End Sub


End Class